const ldap = require('ldapjs');

var ldapClient = ldap.createClient({url:'ldaps://srv-dc.vbn-gmbh.local:636'}, function (err){
  if (err) {
    console.log('Failed');
    process.exit(1);
  }
  else
    console.log('Through');
});

ldapClient.bind('cn=Begerad\, Stefan,ou=Benutzer,,ou=VBN,dc=vbn-gmbh,dc=local', '', function (err) {
  if (err) {
    console.log('LDAP binding failed... disconnecting');
    process.exit(1);
  }
});

var opts = {
  scope: 'sub'
};

var result = ldapClient.search('ou=VBN,dc=vbn-gmbh,dc=local', opts, function(err, res) {
  assert.ifError(err);

  res.on('searchEntry', function(entry) {
    console.log('entry: ' + JSON.stringify(entry));
  });
  res.on('searchReference', function(referral) {
    console.log('referral: ' + referral.uris.join());
  });
  res.on('error', function(err) {
    console.error('error: ' + err.message);
  });
  res.on('end', function(result) {
    console.log('status: ' + result.status);
  });
});
